Chat with a MOV video
curl --request POST \
--url https://app.skimming.ai/back/chat/v1/api/video/mov \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"file_id": "abc123-def456-ghi789",
"question": "What are the main points discussed in this document?",
"streaming": true,
"model": "gpt-4",
"model_type": "openai",
"conversation_type": "single",
"max_output": 2000
}
'import requests
url = "https://app.skimming.ai/back/chat/v1/api/video/mov"
payload = {
"file_id": "abc123-def456-ghi789",
"question": "What are the main points discussed in this document?",
"streaming": True,
"model": "gpt-4",
"model_type": "openai",
"conversation_type": "single",
"max_output": 2000
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
file_id: 'abc123-def456-ghi789',
question: 'What are the main points discussed in this document?',
streaming: true,
model: 'gpt-4',
model_type: 'openai',
conversation_type: 'single',
max_output: 2000
})
};
fetch('https://app.skimming.ai/back/chat/v1/api/video/mov', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"{
"success": false,
"error": {},
"message": {
"content": "Invalid request parameters",
"displayContent": true
}
}{
"success": false,
"error": {},
"message": {
"content": "Invalid API key",
"displayContent": true
}
}{
"success": false,
"error": {},
"message": {
"content": "Question limit exceeded!",
"displayContent": true
}
}Video
Chat with a MOV video
Ask questions about a MOV video using its file_id.
Workflow:
- Ingest video using
/source/v1/api/document - Use returned
file_idwith this endpoint
POST
/
chat
/
v1
/
api
/
video
/
mov
Chat with a MOV video
Authorizations
Bearer token authentication using an API key
Body
application/json
The file_id returned from ingest endpoint
Example:
"abc123-def456-ghi789"
Your question about the content
Example:
"What are the main points discussed in this document?"
Whether to stream the response (SSE format)
AI model to use
Available options:
gpt-4, gpt-4o, gpt-4o-mini, gpt-3.5-turbo, claude-3-opus, claude-3-sonnet, claude-3.5-sonnet, gemini-1.5-pro, gemini-1.5-flash Example:
"gpt-4"
Model provider
Available options:
openai, anthropic, gemini Example:
"openai"
Type of conversation
Available options:
single, group Maximum output tokens
Example:
2000
Response
Successful response
Server-Sent Events stream (when streaming=true)
⌘I
